Package org.eclipse.emf.cdo.lm.server

# Class XMLLifecycleManager

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.lm.server.AbstractLifecycleManager
org.eclipse.emf.cdo.lm.server.XMLLifecycleManager

All Implemented Interfaces:
  `LMPackage.Literals`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

public class XMLLifecycleManager extends AbstractLifecycleManager

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`XMLLifecycleManager.Factory`

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.lm.server.AbstractLifecycleManager

`AbstractLifecycleManager.ModuleCommitEvent, AbstractLifecycleManager.ModuleInfo, AbstractLifecycleManager.NewBaselineEvent, AbstractLifecycleManager.SystemCommitEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

### Fields inherited from interface org.eclipse.emf.cdo.lm.LMPackage.Literals

`BASE_POINT, BASELINE, BASELINE___GET_BASE_TIME_STAMP, BASELINE___GET_BRANCH_POINT, BASELINE___GET_NAME, BASELINE__FLOATING, BASELINE__STREAM, CHANGE, CHANGE__BASE, CHANGE__BRANCH, CHANGE__DELIVERIES, CHANGE__IMPACT, CHANGE__LABEL, DELIVERY, DELIVERY__CHANGE, DELIVERY__MERGE_SOURCE, DELIVERY__MERGE_TARGET, DEPENDENCY, DEPENDENCY__TARGET, DEPENDENCY__VERSION_RANGE, DROP, DROP___GET_BASED_STREAMS, DROP___IS_RELEASE, DROP__BRANCH_POINT, DROP__LABEL, DROP__TYPE, DROP_TYPE, DROP_TYPE__NAME, DROP_TYPE__PROCESS, DROP_TYPE__RELEASE, FIXED_BASELINE, FIXED_BASELINE___GET_BASED_CHANGES, FIXED_BASELINE__DEPENDENCIES, FIXED_BASELINE__VERSION, FLOATING_BASELINE, FLOATING_BASELINE___GET_BASE, FLOATING_BASELINE___GET_BRANCH, FLOATING_BASELINE___GET_DELIVERIES, FLOATING_BASELINE__CLOSED, IMPACT, MODULE, MODULE__NAME, MODULE__STREAMS, MODULE__SYSTEM, MODULE__TYPE, MODULE_ELEMENT, MODULE_ELEMENT___GET_MODULE, MODULE_TYPE, MODULE_TYPE__NAME, MODULE_TYPE__PROCESS, PROCESS, PROCESS__DROP_TYPES, PROCESS__INITIAL_MODULE_VERSION, PROCESS__MODULE_DEFINITION_PATH, PROCESS__MODULE_TYPES, PROCESS__SYSTEM, PROCESS_ELEMENT, PROCESS_ELEMENT___GET_PROCESS, STREAM, STREAM___GET_BASED_CHANGES, STREAM___GET_BRANCH_POINT__LONG, STREAM___GET_FIRST_RELEASE, STREAM___GET_LAST_RELEASE, STREAM___GET_RELEASES, STREAM___INSERT_CONTENT__BASELINE, STREAM__ALLOWED_CHANGES, STREAM__BASE, STREAM__CODE_NAME, STREAM__CONTENTS, STREAM__DEVELOPMENT_BRANCH, STREAM__MAINTENANCE_BRANCH, STREAM__MAINTENANCE_TIME_STAMP, STREAM__MAJOR_VERSION, STREAM__MINOR_VERSION, STREAM__MODE, STREAM__MODULE, STREAM__START_TIME_STAMP, STREAM_ELEMENT, STREAM_ELEMENT___GET_STREAM, STREAM_MODE, SYSTEM, SYSTEM___GET_MODULE__STRING, SYSTEM__MODULES, SYSTEM__NAME, SYSTEM__PROCESS, SYSTEM_ELEMENT, SYSTEM_ELEMENT___GET_SYSTEM`

## Constructor Summary

Constructors
Constructor
Description
`XMLLifecycleManager()`

## Method Summary

Modifier and Type
Method
Description
`protected InternalRepository`
`createModuleRepository(String moduleName)`
`protected void`
`doBeforeActivate()`
`void`
`setModuleTemplateElement(Element moduleTemplateElement)`

### Methods inherited from class org.eclipse.emf.cdo.lm.server.AbstractLifecycleManager

`addModule, addModule, createNewModule, createNewModule, createNewModuleInfos, createNewModules, createSessionConfiguration, doActivate, doDeactivate, getBranch, getConnector, getContainer, getCredentials, getInitialDropTypes, getInitialModuleTypes, getModuleDefinitionPath, getModuleRepositories, getModuleSession, getProcessInitializer, getSystem, getSystemName, getSystemRepository, handleBaselineAddition, handleBaselineDeletion, handleCommit, handleModuleAddition, handleModuleAddition, handleModuleDeletion, initProcess, initSystemRepository, initSystemRepository, isValidModuleName, of, of, openModuleSession, setCredentials, setModuleDefinitionPath, setProcessInitializer, setSystemName, setSystemRepository, toString`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Constructor Details

### XMLLifecycleManager

public XMLLifecycleManager()

## Method Details

### setModuleTemplateElement

public void setModuleTemplateElement(Element moduleTemplateElement)

### doBeforeActivate

protected void doBeforeActivate() throws Exception

Overrides:
  `doBeforeActivate` in class `AbstractLifecycleManager`
Throws:
  `Exception`

### createModuleRepository

protected InternalRepository createModuleRepository(String moduleName) throws CoreException

Specified by:
  `createModuleRepository` in class `AbstractLifecycleManager`
Throws:
  `CoreException`